Bug 62346 - [EFL][WK2] Add dummy files in WebProcess/WebCoreSupport/efl
Summary: [EFL][WK2] Add dummy files in WebProcess/WebCoreSupport/efl
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 61838
  Show dependency treegraph
 
Reported: 2011-06-08 19:17 PDT by Ryuan Choi
Modified: 2011-06-10 04:35 PDT (History)
6 users (show)

See Also:


Attachments
Patch (16.35 KB, patch)
2011-06-08 19:25 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff
Patch (13.32 KB, patch)
2011-06-10 03:03 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff
Patch (13.33 KB, patch)
2011-06-10 03:45 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryuan Choi 2011-06-08 19:17:41 PDT
These files are almost same as WebKit2/GTK's.
But, it's fine for WebKit2/EFL now.

Patch will be updated.
Comment 1 Ryuan Choi 2011-06-08 19:25:24 PDT
Created attachment 96528 [details]
Patch
Comment 2 Leandro Pereira 2011-06-09 06:48:49 PDT
Comment on attachment 96528 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=96528&action=review

As with other WebKit2 patches, I'm mostly reviewing for style issues, as I'm not familiar with WebKit2 yet.

WebEditorClientEfl.cpp doesn't use anything EFL-related (and I couldn't see any EFL-specific behaviour there, too). Is it possible to share this code with other WebKit2 ports?

> Source/WebKit2/WebProcess/WebCoreSupport/efl/WebEditorClientEfl.cpp:44
> +bool WebEditorClient::executePendingEditorCommands(Frame* frame, Vector<WTF::String> pendingEditorCommands, bool allowTextInsertion)
> +{
> +    Vector<Editor::Command> commands;
> +    for (size_t i = 0; i < pendingEditorCommands.size(); i++) {

I'd use Vector::iterator here (Vector::begin(), Vector::end(), etc), for both pendingEditorCommands and commands.
Comment 3 Ryuan Choi 2011-06-10 03:00:07 PDT
(In reply to comment #2)
> (From update of attachment 96528 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=96528&action=review
> 
> As with other WebKit2 patches, I'm mostly reviewing for style issues, as I'm not familiar with WebKit2 yet.
> 
> WebEditorClientEfl.cpp doesn't use anything EFL-related (and I couldn't see any EFL-specific behaviour there, too). Is it possible to share this code with other WebKit2 ports?
> 
> > Source/WebKit2/WebProcess/WebCoreSupport/efl/WebEditorClientEfl.cpp:44
> > +bool WebEditorClient::executePendingEditorCommands(Frame* frame, Vector<WTF::String> pendingEditorCommands, bool allowTextInsertion)
> > +{
> > +    Vector<Editor::Command> commands;
> > +    for (size_t i = 0; i < pendingEditorCommands.size(); i++) {
> 
> I'd use Vector::iterator here (Vector::begin(), Vector::end(), etc), for both pendingEditorCommands and commands.

We referenced WebKit2/Gtk and I realized that this code only used for Gtk.(Anyway it looks fine for Efl.)
I think that It's better to removed for initial drop and investigate more.
Comment 4 Ryuan Choi 2011-06-10 03:03:59 PDT
Created attachment 96721 [details]
Patch
Comment 5 Kenneth Rohde Christiansen 2011-06-10 03:19:54 PDT
Comment on attachment 96721 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=96721&action=review

> Source/WebKit2/WebProcess/WebCoreSupport/efl/WebErrorsEfl.cpp:4
> + * Portions Copyright (c) 2010 Motorola Mobility, Inc.  All rights reserved.
> + * Copyright (C) 2011 Igalia S.L.

Did you really copy this code? or why do you have all those copyrights?
Comment 6 Ryuan Choi 2011-06-10 03:45:17 PDT
Created attachment 96726 [details]
Patch
Comment 7 Ryuan Choi 2011-06-10 03:46:10 PDT
(In reply to comment #5)
> (From update of attachment 96721 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=96721&action=review
> 
> > Source/WebKit2/WebProcess/WebCoreSupport/efl/WebErrorsEfl.cpp:4
> > + * Portions Copyright (c) 2010 Motorola Mobility, Inc.  All rights reserved.
> > + * Copyright (C) 2011 Igalia S.L.
> 
> Did you really copy this code? or why do you have all those copyrights?

Thanks and I cleared it.
Comment 8 WebKit Review Bot 2011-06-10 04:33:36 PDT
The commit-queue encountered the following flaky tests while processing attachment 96726 [details]:

http/tests/local/stylesheet-and-script-load-order.html bug 62450 (author: koivisto@iki.fi)
The commit-queue is continuing to process your patch.
Comment 9 WebKit Review Bot 2011-06-10 04:35:11 PDT
Comment on attachment 96726 [details]
Patch

Clearing flags on attachment: 96726

Committed r88540: <http://trac.webkit.org/changeset/88540>
Comment 10 WebKit Review Bot 2011-06-10 04:35:16 PDT
All reviewed patches have been landed.  Closing bug.